- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Host::CEmail::SEmailDescription Struct Reference

List of all members.

## Detailed Description

Small Struct that needs to be filled in to send an email.

Date:
  20/09/2006

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2006 Exponent.
  You may not redistribute the source files in any way (except compiled), unless expressly sanctioned by Exponent.
  All content is the Intellectual property of Exponent.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please email plugins@expdigital.co.uk

Definition at line 55 of file CEmail.hpp.

## Public Attributes

- TCountedPointerArray< CFileInformation > m_attatchments
- CString m_messageBody
- CString m_recipient
- CString m_recipientDisplayName
- bool m_sendAutomatically
- CString m_subject

## Member Data Documentation

TCountedPointerArray<CFileInformation> Exponent::Host::CEmail::SEmailDescription::m_attatchments

The file attatchments, may be empty

Definition at line 61 of file CEmail.hpp.

CString Exponent::Host::CEmail::SEmailDescription::m_messageBody

The text to disply in the body of te message

Definition at line 60 of file CEmail.hpp.

CString Exponent::Host::CEmail::SEmailDescription::m_recipient

The email address of the recipient, should be of the format a@b.com

Definition at line 57 of file CEmail.hpp.

CString Exponent::Host::CEmail::SEmailDescription::m_recipientDisplayName

The name to display. Can be same as above of something like "My Companies Tech Support"

Definition at line 58 of file CEmail.hpp.

bool Exponent::Host::CEmail::SEmailDescription::m_sendAutomatically

Should the email be sent silently and in the background with no prompt??

Definition at line 62 of file CEmail.hpp.

CString Exponent::Host::CEmail::SEmailDescription::m_subject

The message subject name

Definition at line 59 of file CEmail.hpp.